#!/bin/bash

RUN_FIREFOX="MOZ_ENABLE_WAYLAND=1 setsid $HOME/.bin/firefox-developer-edition/firefox-bin"
echo "$RUN_FIREFOX"

kill $(pgrep firefox)
current_date="$(date '+%D')"
if [[ "$current_date" == "$(cat "$HOME/.bin/.update-firefox-last-pull")" ]]; then
    gnome-terminal -- bash -c "$RUN_FIREFOX"
else
    gnome-terminal -- bash -c "$HOME/.bin/update-firefox.sh && $RUN_FIREFOX"
fi
test -f "$HOME/.aws.exp" && bash -c "sleep 10; $HOME/.aws.exp" &> "$HOME/.aws.exp.log"
echo "$current_date" > "$HOME/.bin/.update-firefox-last-pull"

wait
